.instagram-gallery {
    margin: var(--block-margin) auto;
    display: grid;
    grid-template-columns: minmax(0, 1fr);
    column-gap: var(--column-gap);
    row-gap: var(--row-gap);
}

.instagram-gallery-content #sbi_images {
    column-gap: var(--item-column-gap);
    row-gap: var(--item-column-gap);
}

.instagram-gallery:is([data-orientation="vertical"]) .instagram-gallery-content #sbi_images {
    grid-template-columns: repeat(2, 1fr) !important;
}

.instagram-gallery:is([data-orientation="horizontal"]) .instagram-gallery-content #sbi_images {
    grid-template-columns: repeat(2, 1fr) !important;
}

.instagram-gallery-content #sb_instagram .sbi_photo {
    height: auto !important;
    aspect-ratio: 1;
}

.instagram-gallery-content #sb_instagram .sbi_photo img {
    position: absolute;
    height: 100%;
}

.instagram-gallery h2 {
    font: var(--font-headline-3);
}

.instagram-gallery-content #sbi_images .sbi_item {
    border-radius: 1.4rem;
}

.instagram-gallery-social-media {
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    column-gap: var(--item-column-gap);
    row-gap: var(--item-row-gap);
}

.instagram-gallery-social-media li {
    display: block;
    list-style: none;
}

.instagram-gallery-social-media svg {
    width: 2.5rem;
}

.instagram-gallery-social-media svg,
.instagram-gallery-social-media svg g,
.instagram-gallery-social-media svg path {
    fill: currentColor;
}

.instagram-gallery-social-media li:is(:hover, :active, :focus) svg {
    fill: var(--link-color);
}

.sb_instagram_header {
    display: none;
}

/* For vertical orientation */
.instagram-gallery:is([data-orientation="vertical"]) .instagram-gallery-content #sbi_images {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    margin-bottom: 12.5%;
}

.instagram-gallery:is([data-orientation="vertical"]) .instagram-gallery-content #sb_instagram #sbi_images .sbi_item:nth-child(even) {
    transform: translateY(25%);
}

/* For horizontal orientation */
.instagram-gallery:is([data-orientation="horizontal"]) {
    grid-template-columns: minmax(0, 1fr);
}

.instagram-gallery:is([data-orientation="horizontal"]) .instagram-gallery-title {
    position: relative;
    top: 0;
}

.instagram-gallery:is([data-orientation="horizontal"]) .instagram-gallery-content #sbi_images {
    margin-bottom: 5rem;
}

.instagram-gallery:is([data-orientation="horizontal"]) .instagram-gallery-content #sb_instagram #sbi_images .sbi_item:nth-child(even) {
    transform: none;
}


@media (min-width: 992px) {
    .instagram-gallery {
        grid-template-columns: 35rem minmax(0, auto);
    }

    .instagram-gallery:is([data-orientation="vertical"]) .instagram-gallery-title {
        position: sticky;
        top: calc(var(--fixed-header-height) + 4rem);
        align-self: start;
    }

    .instagram-gallery:is([data-orientation="horizontal"]) .instagram-gallery-content #sbi_images {
        grid-template-columns: repeat(4, 1fr);
    }

    .instagram-gallery:is([data-orientation="horizontal"]) .instagram-gallery-content #sbi_images {
        grid-template-columns: repeat(auto-fit, minmax(20%, 1fr)) !important;
    }

    .instagram-gallery:is([data-orientation="vertical"]) .instagram-gallery-content #sbi_images {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    .instagram-gallery:is([data-orientation="vertical"]) .instagram-gallery-content #sbi_images {
        grid-template-columns: repeat(2, 1fr) !important;
    }
}

@media (min-width: 1200px) {
    .instagram-gallery {
        grid-template-columns: 42rem minmax(0, auto);
    }
}